<div ng-controller="SemanaContenedorController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a ui-sref="admin.semana.lista">Semana</a>
          </li>
          <li>
            <a>Contenedor</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <div class="panel">
            <div class="panel-body">
              <div class="row">
              <div class="col-md-4">
                <div class="form-group">
                  <h5>SEMANA : <strong>{{semana.semana | uppercase}}</strong></h5>
                </div>                
              </div>
              <div class="col-md-4">
                <div>
                  <a ui-sref="admin.semana.archivo" class="btn btn-orange btn-rounded-10 btn-block btn-border"><i class="fa fa-files-o"></i> gestión de archivos</a>
                </div>
              </div>
              <div class="col-md-4">
                <div class="form-group">
                  <div class="pull-right">
                    <a class="btn btn-xs btn-primary btn-rounded-10" style="margin-top: 8px;" ui-sref="admin.semana.lista"><i class="fa fa-arrow-left"></i>  Regresar</a>
                  </div>
                </div>
              </div>
            </div>
            </div>
          </div> 
        </div>
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-list"></i> LISTA DE CONTENEDORES</h1>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Contenedor">
                  </div>
                </div>
                <div class="col-md-2">
                  
                </div>
                <div class="col-md-4">
                  <button class="btn btn-success btn-rounded-10 btn-block btn-border" ng-if="permisosHas('contenedor.registrar')" ng-click="clear();openModalSave($event)"  data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar contenedor</button>
                </div>
                <div class="col-md-12">
                  <hr>
                </div>
              </div>

              <div class="row" ng-if="isLoading">
                <div class="col-md-12">
                  <loading></loading>
                </div>
              </div>

              <div class="row" ng-if="!isLoading">
                  <div class="col-md-12">
                    <h5 class="text-right"><strong>CANTIDAD : {{contenedores.length}} CONTENEDORES</strong></h5>
                  </div>
                  <div class="col-md-12" ng-if="contenedores.length > 0">
                    <small>
                      <div class="table-responsive">
                        <table class="table table-bordered">
                          <tr style="background:#F2F2F2">
                            <th class="text-center" ng-if="permisosHas('contenedor.actualizar') || permisosHas('contenedor.eliminar')">OPCIONES</th>
                            <th class="text-center">ESTADO</th>
                            <th class="text-center">W</th>
                            <th class="text-center">INICIO PROCESO</th>
                            <th class="text-center">FIN PROCESO</th>
                            <th class="text-center">OPERADOR LOGÍSTICO</th>
                            <th class="text-center">LÍNEA</th>
                            <th class="text-center">NAVE</th>
                            <th class="text-center">BOOKING</th>
                            <th class="text-center">CLIENTE</th>
                            <th class="text-center">CANTIDAD CAJAS</th>
                            <th class="text-center">MARCA</th>
                            <th class="text-center">CONTENEDOR</th>
                            <th class="text-center">ORDEN/REFERENCIA</th>
                            <th class="text-center">DESTINO</th>
                            <th class="text-center">PESO NETO (Kg)</th>
                            <th class="text-center">PESO BRUTO (Kg)</th>
                            <th class="text-center">FECHA ZARPE</th>
                            <th class="text-center">FECHA LLEGADA</th>
                            <th class="text-center">FACTURA</th>
                            <th class="text-center">PACKING</th>
                            <th class="text-center">CERTIFICADO</th>
                            <th class="text-center">VALIJA</th>
                            <th class="text-center">BL'S</th>
                          </tr>
                          <tbody dir-paginate="contenedor in contenedores |filter: buscar | itemsPerPage: 10" pagination-id="contenedor.id_contenedor">
                            <tr ng-class="{'info': contenedor.estado == 'En la nave'}">
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}" ng-if="permisosHas('contenedor.actualizar') || permisosHas('contenedor.eliminar')">
                                <div class="input-group-btn">
                                  <button ng-if="permisosHas('contenedor.actualizar')" class="btn btn-info btn-border btn-radius-left" ng-class="{'btn-radius-right' : !permisosHas('contenedor.eliminar')}" title="EDITAR CONTENEDOR {{contenedor.numero_contenedor | uppercase}}" data-options="splash-2 splash-ef-14" ng-click="load(contenedor);openModalSave($event)"><span class="fa fa-edit"></span></button>
                                  <button ng-if="permisosHas('contenedor.eliminar')" class="btn btn-danger btn-border btn-radius-right" ng-class="{'btn-radius-left' : !permisosHas('contenedor.actualizar')}" title="ELIMINAR CONTENEDOR {{contenedor.numero_contenedor | uppercase}}" data-options="splash-2 splash-ef-14" ng-click="load(contenedor);openModalDelete($event)"><span class="fa fa-trash"></span></button>
                                </div>
                              </td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">
                                  <select style="color: white;background: {{contenedor.color_estado}};width:130px;" class="form-control uppercase" ng-change="changeEstado(contenedor)" ng-model="contenedor.id_estado" ng-options="estado.id as estado.nombre for estado in estados" ng-disabled="!permisosHas('contenedor.cambiar_estado')">
                                    <option value="">-- SELECCIONE ESTADO --</option>
                                  </select>
                              </td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}" nowrap>{{contenedor.semana}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}" nowrap>{{contenedor.dia_proceso_inicio | date:'dd-MM-yyyy'}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}" nowrap>{{contenedor.dia_proceso_fin | date:'dd-MM-yyyy'}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.operador | uppercase}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.linea_naviera | uppercase}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.sigla_linea_naviera | uppercase}} - {{contenedor.nave | uppercase}} V. {{contenedor.viaje}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.booking | uppercase}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}" nowrap>{{contenedor.cliente | uppercase}}</td>
                              <td class="text-center" nowrap>{{ contenedor.cajas[0].cantidad_cajas }}</td>
                              <td class="text-center" nowrap>{{contenedor.cajas[0].marca | uppercase}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.numero_contenedor}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.referencia | uppercase}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.puerto_destino | uppercase}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.peso_neto}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.peso_bruto}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.dia_zarpe | date:'dd-MM-yyyy'}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.dia_llegada | date:'dd-MM-yyyy'}}</td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">
                                  <span style="color: white;background: {{contenedor.color_estado_factura}};" class="label">{{contenedor.estado_factura | uppercase}}</span>
                              </td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">
                                  <span style="color: white;background: {{contenedor.color_estado_packing}};" class="label">{{contenedor.estado_packing | uppercase}}</span>
                              </td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">
                                  <span style="color: white;background: {{contenedor.color_estado_certificado}};" class="label">{{contenedor.estado_certificado | uppercase}}</span>
                              </td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">
                                  <span style="color: white;background: {{contenedor.color_estado_valija}};" class="label">{{contenedor.estado_valija | uppercase}}</span>
                              </td>
                              <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">
                                  <span style="color: white;background: {{contenedor.color_estado_vl}};" class="label">{{contenedor.estado_vl | uppercase}}</span>
                              </td>
                            </tr>
                            <tr ng-repeat="caja in contenedor.cajas.slice(1,contenedor.cajas.length)" ng-class="{'info': contenedor.estado == 'En la nave'}">
                              <td class="text-center" nowrap>{{caja.cantidad_cajas}}</td>
                              <td class="text-center" nowrap>{{caja.marca | uppercase}}</td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </small>
                    <div class="text-center">
                      <dir-pagination-controls pagination-id="contenedor.id_contenedor"></dir-pagination-controls>
                    </div>
                  </div>
                  <div class="col-md-12" ng-if="contenedores.length == 0">
                    <p class="text-center">
                      <i class="icon-info fa-4x"></i>
                      <h5 class="text-center">no hay contenedores registrados...</h5>
                    </p>
                  </div>
              </div>

            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="contenedor_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <title-modal name="Contenedor"></title-modal>
      </div>            
    </div>
    <div class="modal-body">

      <form ng-submit="createEdit()">
        <div class="row">
          <div class="col-md-6">

            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <label for="numero_contenedor">Número</label>
                  <input type="text" ng-model="obj.numero_contenedor" class="form-control uppercase" id="numero_contenedor" name="numero_contenedor" placeholder="Ejm. LIAM 989873-1"> 
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label for="id_lineanaviera">Línea Naviera<span class="obligatorio">*</span></label>
                  <select class="form-control" id="id_lineanaviera" name="id_lineanaviera" ng-model="obj.id_lineanaviera" ng-options="linea.id as linea.nombre for linea in lineas" required>
                      <option value="">-- SELECCIONE LÍNEA --</option>
                  </select>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="nave">Nave<span class="obligatorio">*</span></label>
                  <input type="text" id="nave" name="name" ng-model="obj.nave" class="form-control uppercase" placeholder="Nave" required> 
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                <label for="id_cliente">Cliente<span class="obligatorio">*</span></label>  
                  <select class="form-control" id="id_cliente" name="id_cliente" ng-model="obj.id_cliente" ng-change="selectCliente(obj.id_cliente)" ng-options="cliente.id as cliente.razon_social for cliente in clientes" required>
                      <option value="">-- SELECCIONE CLIENTE --</option>
                  </select>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="id_operador">Operador<span class="obligatorio">*</span></label>
                  <select class="form-control" id="id_operador" name="id_operador" ng-model="obj.id_operador" ng-options="operador.id as operador.nombre for operador in operadores" required>
                      <option value="">-- SELECCIONE OPERADOR --</option>
                  </select> 
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label for="peso_neto">Peso Neto (kg)</label>
                  <input type="text" id="peso_neto" name="peso_neto" ng-model="obj.peso_neto" class="form-control uppercase" placeholder="Peso Neto" disabled>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="peso_bruto">Peso Bruto (kg)</label>
                  <input type="text" class="form-control uppercase" id="peso_bruto" name="peso_bruto" ng-model="obj.peso_bruto" placeholder="Peso Bruto"> 
                </div>
              </div>
            </div>
          </div>
          <div class="col-md-6">
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label for="referencia">Referencia<span class="obligatorio">*</span></label>
                  <input type="text" id="referencia" name="referencia" ng-model="obj.referencia" class="form-control uppercase" placeholder="Referencia" required>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="booking">Booking<span class="obligatorio">*</span></label>
                  <input type="text" id="booking" name="booking" ng-model="obj.booking" class="form-control uppercase" placeholder="Booking" required>
                </div>
              </div>
            </div> 
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label for="viaje">Viaje<span class="obligatorio">*</span></label>
                  <input type="text" id="viaje" name="viaje" ng-model="obj.viaje" class="form-control uppercase" placeholder="Viaje" required>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="id_puertodestino">Puerto Destino<span class="obligatorio">*</span></label>
                  <select class="form-control" id="id_puertodestino" name="id_puertodestino" ng-model="obj.id_puertodestino" ng-options="puerto.id as puerto.nombre for puerto in puertos">
                      <option value="">-- SELECCIONE PUERTO --</option>
                  </select> 
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label for="fecha_proceso_inicio_t">Fecha Inicio Proceso<span class="obligatorio">*</span></label>
                  <input type="date" id="fecha_proceso_inicio_t" name="fecha_proceso_inicio_t" ng-model="obj.fecha_proceso_inicio_t" class="form-control" required>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="fecha_proceso_fin_t">Fecha Fin Proceso<span class="obligatorio">*</span></label>
                  <input type="date" id="fecha_proceso_fin_t" name="fecha_proceso_fin_t" ng-model="obj.fecha_proceso_fin_t" class="form-control"> 
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label for="fecha_zarpe_t">Fecha de Zarpe</label>
                  <input type="date" id="fecha_zarpe_t" name="fecha_zarpe_t" ng-model="obj.fecha_zarpe_t" class="form-control">
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="fecha_llegada_t">Fecha de Llegada</label>
                  <input type="date" id="fecha_llegada_t" name="fecha_llegada_t" ng-model="obj.fecha_llegada_t" class="form-control"> 
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-group">
          <span class="obligatorio">*</span> Campos Obligatorios
        </div> 
        <legend class="text-center"><i class="fa fa-inbox"></i> Agregar Cajas<span class="obligatorio">*</span></legend>
        <div class="row">
          <div class="col-md-6">
            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <label for="total">Total Cajas</label>
                  <input type="number" class="form-control" min="0" ng-model="objCajas.total" placeholder="1080"> 
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <label for="id_caja">Tipo de Caja</label>
                  <select class="form-control" ng-model="objCajas.id_caja" ng-options="caja.id as caja.marca for caja in cajas" ng-change="changeCajas()">
                      <option value="">-- SELECCIONE CAJA --</option>
                  </select> 
                </div>
              </div>
            </div>            
            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <button class="btn btn-success btn-rounded-10 btn-block btn-border" ng-disabled="!objCajas.id_caja" ng-click="addCajas()"><i class="icon-plus"></i> Agregar</button>
                </div>
              </div>
            </div>
          </div>
          <div class="col-md-6">
            <div class="row">
              <div class="col-md-12" ng-if="cajasAdd.length > 0">
                <div class="table-responsive">
                  <table class="table table-hover">
                      <thead>
                          <tr>
                              <th>Total</th>
                              <th class="text-center">Marca</th>
                              <th></th>
                          </tr>
                      </thead>
                      <tbody>
                          <tr ng-repeat="cja in cajasAdd track by $index">
                              <td><strong>{{cja.cantidad_cajas}}</strong></td>
                              <td><strong>{{cja.marca | uppercase}}</strong></td>
                              <td width="150px" class="text-center">
                                  <button class="btn btn-danger btn-xs text-center" ng-click="deleteArray($index)"><i class="fa fa-close"></i></button>
                              </td>
                          </tr>
                          <tr ng-if="cajasAdd.length > 0">
                              <td><strong>{{totalCajas}}</strong></td>
                              <td></td>
                              <td></td>
                          </tr>
                      </tbody>
                  </table>
                </div>
              </div>
              <div class="col-md-12" ng-if="cajasAdd.length == 0">
                <p class="text-center">
                  <i class="icon-info fa-2x"></i>
                  <h5 class="text-center">Agregue Cajas</h5>
                </p>
              </div>
            </div>            
          </div>
        </div>
        
        <div class="text-center">
          <button-save ng-if="!httpRequest"></button-save>
          <button-spin ng-if="httpRequest"></button-spin>
          <button-cancel></button-cancel>
        </div>
      </form>
    </div>
  </script>
  <script  type="text/ng-template" id="contenedor_delete_modal.html">
    <div class="modal-body">

      <form ng-submit="delete()">
        <form-delete></form-delete>
      </form>
    </div>
  </script>
</div>